minieigen (0.50.3+dfsg1-12build3) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:08:37 +0100

minieigen (0.50.3+dfsg1-12build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:57 +0100

minieigen (0.50.3+dfsg1-12build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:08 +0200

minieigen (0.50.3+dfsg1-12) unstable; urgency=medium

  * [cdf136f] Import some patches from upstream
  * [74cb8b4] Set Standards-Version: 4.5.0. No changes
  * [16d4423] Wrap long lines in changelog entries: 0.2-1.
  * [ecae55b] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Feb 2020 20:11:50 +0100

minieigen (0.50.3+dfsg1-11) unstable; urgency=medium

  * [74291a6] Correct doc-base document name, and paths. Closes: #946802

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Dec 2019 14:09:16 +0000

minieigen (0.50.3+dfsg1-10) unstable; urgency=medium

  * [f756f8c] Drop python2 build. Closes: #937050
  * [c6281fc] Fixup, committed patched setup.py
  * [958d4f1] Refresh patches, and fixup boost_python detection again.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 14:42:33 +0000

minieigen (0.50.3+dfsg1-9) unstable; urgency=medium

  * [352344a] Set compat-level 12
  * [59947c2] Set Standards-version to 4.4.1
  * [3cef83c] Trim trailing whitespace.
  * [f2ff1e9] Set upstream metadata fields: Repository.
  * [23e73da] Rely on pre-initialized dpkg-architecture variables.
  * [b1a127c] Add dh-python to BD. (Closes: #944936)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Nov 2019 18:37:04 +0100

minieigen (0.50.3+dfsg1-8) unstable; urgency=medium

  * [ffbc36d] Use mathjax instead of pngmath. (Closes: #918797)
  * [dd52f7c] Set standards-version to 4.3.0

 -- Anton Gladky <gladk@debian.org>  Sun, 27 Jan 2019 09:14:29 +0100

minieigen (0.50.3+dfsg1-7) unstable; urgency=medium

  * [d764a5d] Update autopkgtests. (Closes: #913032)

 -- Anton Gladky <gladk@debian.org>  Wed, 21 Nov 2018 18:33:38 +0100

minieigen (0.50.3+dfsg1-6) unstable; urgency=medium

  [ Jeb Collins ]
  * [e46ccf5] Make minieigen more compliant with user defined data types.
              (Closes: #902714)

  [ Anton Gladky ]
  * [e1d1977] Apply cme fix dpkg
  * [da1b561] Fix FTBFS against newer boost versions
  * [0797929] Remove deprecated fields in d/control
  * [b62da98] Switch to compat-level 11
  * [e39ee99] Use python3-sphinx instead of python-sphinx

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Nov 2018 22:45:51 +0100

minieigen (0.50.3+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * [f0cef93] Use HTTPS in Vcs-Git.
  * [d293172] Tune gcc parameters some more to fix FTBFS in powerpc with gcc6.
  * [a739c93] Bump Standards-Version, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Aug 2016 16:38:26 +0000

minieigen (0.50.3+dfsg1-4) unstable; urgency=medium

  [ Steve Langasek ]
  * [558f0a2] Fix autopkgtest control file syntax. (Closes: #803738)
  * [7667c84] Build-depend on python3-all-dev. (Closes: #803694)

 -- Anton Gladky <gladk@debian.org>  Tue, 03 Nov 2015 20:04:43 +0100

minieigen (0.50.3+dfsg1-3) unstable; urgency=high

  * [6698a16] Update autotests.
  * [afc6f2e] Add python3.5-dev to build-depends.
  * [3b78a29] Minor fix in d/rules.

 -- Anton Gladky <gladk@debian.org>  Wed, 07 Oct 2015 20:05:03 +0200

minieigen (0.50.3+dfsg1-2) unstable; urgency=high

  * [bdc3901] Fix minieigen on python3, use proper linkage.
  * [57c6546] Remove get-orig script.
  * [8d93964] Update autotest

 -- Anton Gladky <gladk@debian.org>  Wed, 07 Oct 2015 09:01:57 +0200

minieigen (0.50.3+dfsg1-1) unstable; urgency=medium

  * [68c08f7] Add repacksuffix +dfsg1, d/watch.
  * [a0f27f2] Imported Upstream version 0.50.3+dfsg1
  * [13b6857] Refresh patch.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Sep 2015 08:15:40 +0200

minieigen (0.50+dfsg1-2) unstable; urgency=medium

  * [8a47ac0] Change LGPL-3.0+ on LGPL-3.0 (typo)
  * [c9985c8] Install README.txt

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Sep 2015 23:23:58 +0200

minieigen (0.50+dfsg1-1) unstable; urgency=medium

  * [35ad0e4] Add python3-package.
  * [f943685] Update d/copyright.
  * [63ee3d5] Add watch-file.
  * [b9e5f28] Imported Upstream version 0.50+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 12 May 2015 20:55:44 +0200

minieigen (0.41~dfsg~bzr51-2) unstable; urgency=medium

  * [b285b23] Fix autotest. Thanks to Martin Pitt <mpitt@debian.org>

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Mar 2014 17:50:30 +0100

minieigen (0.41~dfsg~bzr51-1) unstable; urgency=medium

  * [787400b] Upload to unstable.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Mar 2014 21:13:09 +0100

minieigen (0.41~dfsg~bzr51~exp1-1) experimental; urgency=medium

  * [ea6d128] Imported Upstream version 0.41~dfsg~bzr51
  * [bc5fb48] Refresh patch.
  * [f0241d2] Add parallel option to debian/rules.
  * [c21bdca] Update dates in copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Mar 2014 19:38:02 +0100

minieigen (0.41~dfsg~bzr32-2) unstable; urgency=medium

  * [01ad0ae] Enable autotest.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 21:55:58 +0100

minieigen (0.41~dfsg~bzr32-1) unstable; urgency=medium

  * [af18e1e] Imported Upstream version 0.41~dfsg~bzr32.
              Return back to a previous uploaded version.
              Contintue discussion with upstream.
              (Closes: #736507)
  * [d9eb276] Set canonical VCS-fields.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Feb 2014 22:55:46 +0100

minieigen (0.4~dfsg~bzr50-6) unstable; urgency=medium

  * [3562d4b] One more try to tune gcc parameters.

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Jan 2014 23:14:28 +0100

minieigen (0.4~dfsg~bzr50-5) unstable; urgency=medium

  * [9c30a02] Set gcc parameters for all archs.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Jan 2014 10:44:52 +0100

minieigen (0.4~dfsg~bzr50-4) unstable; urgency=medium

  * [47677dc] Use additional gcc parameters on weak archs
              to reduce RAM-consumption,

 -- Anton Gladky <gladk@debian.org>  Tue, 21 Jan 2014 20:23:03 +0100

minieigen (0.4~dfsg~bzr50-3) unstable; urgency=medium

  * [71027c0] Update version number in get_orig script.
  * Move new version from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2014 21:45:50 +0100

minieigen (0.4~dfsg~bzr50-2) experimental; urgency=medium

  * [34938b8] Do not use clang explicitly.

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2014 19:24:53 +0100

minieigen (0.4~dfsg~bzr50-1) experimental; urgency=medium

  * [5b1e3d4] Imported Upstream version 0.4~dfsg~bzr50
  * [4e33f4a] Update self-test.
  * [e07aadd] Set clang explicitly.

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jan 2014 18:41:01 +0100

minieigen (0.3~dfsg~bzr38-3) unstable; urgency=medium

  * [1513b33] Fix additional parameter injection for weak archs.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 Dec 2013 21:34:59 +0100

minieigen (0.3~dfsg~bzr38-2) unstable; urgency=medium

  * [02e6619] Add ggc-min-expand and ggc-min-heapsize parameters to compiler
              on archs, where compilation fails due to insufficient RAM.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 Dec 2013 16:05:58 +0100

minieigen (0.3~dfsg~bzr38-1) unstable; urgency=medium

  * [545a9ff] Imported Upstream version 0.3~dfsg~bzr38
  * [27c8eb0] Bump Standards-Version: 3.9.5, no changes.
  * [eebe537] Refresh patch.
  * [047c7d4] Ignore quilt dir
  * [800cc13] Unapply patches after build

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Dec 2013 10:09:29 +0100

minieigen (0.3~dfsg~bzr32-1) unstable; urgency=low

  * [85e0902] Imported Upstream version 0.3~dfsg~bzr32
  * [497377a] Refresh patches. Remove ones, applied by upstream.
  * [349b4b5] Bumped Standards-Version to 3.9.4 (no changes).
              Use dh_sphinxdoc.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 21:31:07 +0200

minieigen (0.3~dfsg~bzr25-2) unstable; urgency=low

  * [6c7cd63] Fix doc-generation on non-linux archs.
  * [c171a89] Adjust packaging in order to python2.
  * [aebe6ba] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Apr 2013 11:06:45 +0200

minieigen (0.3~dfsg~bzr25-1) unstable; urgency=low

  * Initial package for Debian. (Closes: #691800)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Jan 2013 16:42:26 +0100

minieigen (0.3~-3) unstable; urgency=low

  * Use default boost version always (precise has separate branch now)

 -- Václav Šmilauer <eu@doxos.eu>  Mon, 22 Oct 2012 10:46:19 +0200

minieigen (0.3-2) unstable; urgency=low

  * Separate debian packaging from upstream code

 -- Václav Šmilauer <eu@doxos.eu>  Thu, 18 Oct 2012 13:26:33 +0200

minieigen (0.3-1) unstable; urgency=low

  * Migrate miniEigen->minieigen
  * Add pypi packaging information

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 12 Oct 2012 15:46:59 +0200

minieigen (0.2-2) unstable; urgency=low

  * Add converters from flat/nested sequences for matrix types

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 31 Aug 2012 15:26:50 +0200

minieigen (0.2-1) unstable; urgency=low

  * Copy and use double-conversion (grisu algo) for the shortest double
    representation

 -- Václav Šmilauer <eu@doxos.eu>  Wed, 11 Jul 2012 20:38:26 +0200

minieigen (0.1-1) unstable; urgency=low

  * Initial package

 -- Václav Šmilauer <eu@doxos.eu>  Fri, 10 Feb 2012 13:00:25 +0100
